﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using System.IO;

namespace 全民k歌全自动监控工具
{
    public class Song
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        private string singer;

        public string Singer
        {
            get { return singer; }
            set { singer = value; }
        }
        private string url;

        public string Url
        {
            get { return url; }
            set { url = value; }
        }
        private string downUrl;

        public string DownUrl
        {
            get { return downUrl; }
            set { downUrl = value; }
        }
        private int time;

        public int Time
        {
            get { return time; }
            set { time = value; }
        }
        private int score;

        public int Score
        {
            get { return score; }
            set { score = value; }
        }
        private bool isMv;

        public bool IsMv
        {
            get { return isMv; }
            set { isMv = value; }
        }
        /// <summary>
        /// Song有参构造(无分数)
        /// </summary>
        /// <param name="name">歌名</param>
        /// <param name="singer">歌手</param>
        /// <param name="url">链接</param>
        /// <param name="downUrl">下载地址</param>
        /// <param name="time">时间戳</param>
        public Song(string name, string singer, string url, string downUrl, int time)
        {
            this.name = name;
            this.singer = singer;
            this.url = url;
            this.downUrl = downUrl;
            this.time = time;
            this.score = -1;
        }

        /// <summary>
        /// Song有参构造(有分数)
        /// </summary>
        /// <param name="name">歌名</param>
        /// <param name="singer">歌手</param>
        /// <param name="url">链接</param>
        /// <param name="downUrl">下载地址</param>
        /// <param name="time">时间戳</param>
        /// <param name="score">分数</param>
        public Song(string name, string singer, string url, string downUrl, int time,int score)
        {
            this.name = name;
            this.singer = singer;
            this.url = url;
            this.downUrl = downUrl;
            this.time = time;
            this.score = score;
        }

        /// <summary>
        /// singer有参构造(仅时间)
        /// </summary>
        /// <param name="time">时间戳</param>
        public Song(int time)
        {
            this.time = time;
        }

        /// <summary>
        /// Song默认构造
        /// </summary>
        public Song() { }
    }
}
